﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace HttpClientStudy.UnitTest.HttpResponses
{
    public class HttpResponseContentTest
    {
        private readonly ITestOutputHelper _output;

        public HttpResponseContentTest(ITestOutputHelper testOutput) 
        {
            _output = testOutput;
        }

        [Fact]
        public void Test() 
        {
            HttpClient client = new HttpClient();

            var content = new StringContent(Newtonsoft.Json.JsonConvert.SerializeObject(new { Name="sdfsdf"}), Encoding.UTF8, System.Net.Mime.MediaTypeNames.Application.Json);

            client.PostAsync("http://www.baidu.com", content);
        }
    }

    public class Demo
    { 
        public string Name { get; set; }
        public string Description { get; set; }
    }
}
